# Uses of Class
org.eclipse.birt.report.model.api.validators.DataSetNameRequiredValidatorImpl

Packages that use DataSetNameRequiredValidatorImpl
Package
Description
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of DataSetNameRequiredValidatorImpl in org.eclipse.birt.report.model.api.validators

Subclasses of DataSetNameRequiredValidatorImpl in org.eclipse.birt.report.model.api.validators
Modifier and Type
Class
Description
`class`
`DataSetNameRequiredValidator`
Validates the data set name of scalar parameter is required.
Methods in org.eclipse.birt.report.model.api.validators that return DataSetNameRequiredValidatorImpl
Modifier and Type
Method
Description
`static DataSetNameRequiredValidatorImpl`
DataSetNameRequiredValidatorImpl.`getInstance()`
Returns the singleton validator instance.